# Annotation Interface SupportedSourceVersion

@Documented @Target(TYPE) @Retention(RUNTIME) public @interface SupportedSourceVersion
An annotation used to indicate the latest source version an annotation processor supports. The `Processor.getSupportedSourceVersion()` method can construct its result from the value of this annotation, as done by `AbstractProcessor.getSupportedSourceVersion()`.

Since:
  1.6

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `SourceVersion`
  `value`
  Returns the latest supported source version.

- ## Element Details

  - ### value

    SourceVersion value
    Returns the latest supported source version.
    Returns:
      the latest supported source version